"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContract = void 0;
const near_api_js_1 = require("near-api-js");
const viewMethods = [
    'get_balances',
    'get_market',
    'list_markets',
    'get_open_orders',
    'get_orderbook',
    'get_order',
];
const changeMethods = [
    'create_market',
    'new_order',
    'cancel_order',
    'suspend_market',
    'deposit_near',
    'withdraw_ft',
    'withdraw_near',
    'swap_near'
];
function getContract(account, contractId) {
    return new near_api_js_1.Contract(account, contractId, {
        viewMethods: viewMethods,
        changeMethods: changeMethods,
    });
}
exports.getContract = getContract;
