"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TonicError = exports.isTonicErrorMessage = exports.isTonicError = exports.MESSAGE_PARTS_RE = exports.MESSAGE_CHECK_RE = void 0;
exports.MESSAGE_CHECK_RE = /^E\d\d:/;
exports.MESSAGE_PARTS_RE = /(?<code>E\d\d): *(?<message>.*$)/;
function isTonicError(e) {
    return '_isTonicError' in e;
}
exports.isTonicError = isTonicError;
function isTonicErrorMessage(s) {
    return !!s.match(exports.MESSAGE_CHECK_RE);
}
exports.isTonicErrorMessage = isTonicErrorMessage;
function splitOnce(s, d) {
    const loc = s.indexOf(d);
    return [s.slice(0, loc), s.slice(loc + 1)];
}
class TonicError extends Error {
    constructor(code, message) {
        super(message);
        this.code = code;
        this._isTonicError = true;
    }
    static from(raw) {
        if (isTonicErrorMessage(raw)) {
            const [code, message] = splitOnce(raw, ':');
            return new TonicError(code, message.trim());
        }
        return new Error(raw);
    }
}
exports.TonicError = TonicError;
