import BN from 'bn.js';
import { Contract } from 'near-api-js';
import { Orderbook } from '..';
import { L2Order } from '../types';
export declare const ZERO: BN;
export declare type ContractWithMethods<V extends ReadonlyArray<string> = [], C extends ReadonlyArray<string> = []> = Contract & {
    [k in V[number]]: (...args: any[]) => any;
} & {
    [k in C[number]]: (...args: any[]) => any;
};
export declare function groupOrdersByPriceLevel(orders: L2Order[]): L2Order[];
/**
 * Compute the midmarket price of an orderbook. Price is undefined if only one
 * side has open orders.
 */
export declare function getMidmarketPrice({ asks, bids }: Orderbook): BN | undefined;
